package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIZ4Rs1 {

    private Map<String, Object> params;
    
    public MWFIZ4Rs1(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProductclass() {
        return (String) params.get("RS_PRODUCTCLASS");
    }

    public Double rsInfolimitamount() {
        return (Double) params.get("RS_INFOLIMITAMOUNT");
    }

    public String rsAccountnumber() {
        return (String) params.get("RS_ACCOUNTNUMBER");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public String rsContractnumber() {
        return (String) params.get("RS_CONTRACTNUMBER");
    }

    public Double rsCashlimitpercent() {
        return (Double) params.get("RS_CASHLIMITPERCENT");
    }

    public Double rsInstalmentpercent() {
        return (Double) params.get("RS_INSTALMENTPERCENT");
    }

    public String rsInfolimittype() {
        return (String) params.get("RS_INFOLIMITTYPE");
    }

    public Double rsPrincipal() {
        return (Double) params.get("RS_PRINCIPAL");
    }

    public String rsReasoncategory() {
        return (String) params.get("RS_REASONCATEGORY");
    }

    public String rsSalesproducttype() {
        return (String) params.get("RS_SALESPRODUCTTYPE");
    }

    public String rsApplicationtype() {
        return (String) params.get("RS_APPLICATIONTYPE");
    }

    public Long rsUnifiedpartyinfolimitkey() {
        return (Long) params.get("RS_UNIFIEDPARTYINFOLIMITKEY");
    } 

}
